# CylinderOutlineGeometry

#### new Cesium.CylinderOutlineGeometry(options)
Core/CylinderOutlineGeometry.js 50

A description of the outline of a cylinder.

Name | Type | Description
--- | --- | ---
`options` | Object | Object with the following properties:
Name | Type | Default | Description
--- | --- | --- | ---
`length` | Number |  | The length of the cylinder.
`topRadius` | Number |  | The radius of the top of the cylinder.
`bottomRadius` | Number |  | The radius of the bottom of the cylinder.
`slices` | Number | `128` | optional The number of edges around the perimeter of the cylinder.
`numberOfVerticalLines` | Number | `16` | optional Number of lines to draw between the top and bottom surfaces of the cylinder.

##### Throws:

- DeveloperError : options.length must be greater than 0.
- DeveloperError : options.topRadius must be greater than 0.
- DeveloperError : options.bottomRadius must be greater than 0.
- DeveloperError : bottomRadius and topRadius cannot both equal 0.
- DeveloperError : options.slices must be greater than or equal to 3.

##### Example:

    // create cylinder geometry
    var cylinder = new Cesium.CylinderOutlineGeometry({
        length: 200000,
        topRadius: 80000,
        bottomRadius: 200000,
    });
    var geometry = Cesium.CylinderOutlineGeometry.createGeometry(cylinder);

##### See:

- CylinderOutlineGeometry.createGeometry

### Members

#### static Cesium.CylinderOutlineGeometry.packedLength : Number
Core/CylinderOutlineGeometry.js 90

The number of elements used to pack the object into an array.

### Methods

#### static Cesium.CylinderOutlineGeometry.createGeometry(cylinderGeometry) → Geometry|undefined
Core/CylinderOutlineGeometry.js 178

Computes the geometric representation of an outline of a cylinder, including its vertices, indices, and a bounding sphere.

Name | Type | Description
--- | --- | ---
`cylinderGeometry` | CylinderOutlineGeometry | A description of the cylinder outline.

##### Returns:

The computed vertices and indices.

#### static Cesium.CylinderOutlineGeometry.pack(value, array, startingIndex) → Array.<Number>
Core/CylinderOutlineGeometry.js 101

Stores the provided instance into the provided array.

Name | Type | Default | Description
--- | --- | --- | ---
`value` | CylinderOutlineGeometry |  | The value to pack.
`array` | Array.<Number> |  | The array to pack into.
`startingIndex` | Number | `0` | optional The index into the array at which to start packing the elements.

##### Returns:

The array that was packed into

#### static Cesium.CylinderOutlineGeometry.unpack(array, startingIndex, result) → CylinderOutlineGeometry
Core/CylinderOutlineGeometry.js 136

Retrieves an instance from a packed array.

Name | Type | Default | Description
--- | --- | --- | ---
`array` | Array.<Number> |  | The packed array.
`startingIndex` | Number | `0` | optional The starting index of the element to be unpacked.
`result` | CylinderOutlineGeometry |  | optional The object into which to store the result.

##### Returns:

The modified result parameter or a new CylinderOutlineGeometry instance if one was not provided.